Bug 190742 - FC5 guest kernel hangs at startup in xenguest-install.py
FC5 guest kernel hangs at startup in xenguest-install.py
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-04 16:07 EDT by bastiaan
Modified: 2008-01-19 23:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:40:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/xend.log (6.57 KB, text/plain)
2006-05-04 16:08 EDT, bastiaan
no flags Details

  None (edit)
Description bastiaan 2006-05-04 16:07:23 EDT
Description of problem:
installing a FC5 guest with xenguest-install.py fails because the guest kernel
hangs at boot time. 

Version-Release number of selected component (if applicable):
host: xen-3.0.1-4 with kernel 2.6.16-1.2096_FC5xen0
guest: kernel 2.6.15-1.2054_FC5xenU

How reproducible:
always (on the hardware described below)

Steps to Reproduce:
1. boot with kernel 2.6.16-1.2096_FC5xen0
2. # /usr/sbin/xenguest-install.py -n fc5guest1 -f /opt/xen/fc5guest1 -s 4 -r
256 -l http://10.13.70.106/FC5/
3.
  
Actual results:
The process hangs after the following output:
Starting install...
Using config file "/etc/xen/fc5guest1".
Started domain fc5guest1
Linux version 2.6.15-1.2054_FC5xenU (bhcompile@hs20-bc1-3.build.redhat.com) (gcc
version 4.1.0 20060304 (Red Hat 4.1.0-3)) #1 SMP Tue Mar 14 16:53:12 EST 2006
BIOS-provided physical RAM map:
 Xen: 0000000000000000 - 0000000010000000 (usable)
0MB HIGHMEM available.
264MB LOWMEM available.
Using x86 segment limits to approximate NX protection
IRQ lockup detection disabled
Built 1 zonelists
Kernel command line:  method=http://10.13.70.106/FC5/
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Initializing CPU#0
PID hash table entries: 2048 (order: 11, 32768 bytes)
Xen reported: 1694.543 MHz processor.
Dentry cache hash table entries: 65536 (order: 6, 262144 bytes)
Inode-cache hash table entries: 32768 (order: 5, 131072 bytes)
Software IO TLB disabled
vmalloc area: d1000000-fb3fe000, maxmem 33ffe000
Memory: 251904k/270336k available (1653k kernel code, 9904k reserved, 620k data,
132k init, 0k highmem)
Checking if this processor honours the WP bit even in supervisor mode... Ok.


Expected results:
the guest kernel should boot and start anaconda

Additional info:
The problem may be related to the hardware configuration, the same install
procedure on a different FC5 machine did work without problems. 
The machine exhibiting problem is a Compal CL65 laptop with an 'Intel(R)
Pentium(R) M processor 1.70GHz' stepping 6.
Comment 1 bastiaan 2006-05-04 16:08:51 EDT
Created attachment 128628 [details]
/var/log/xend.log
Comment 2 bastiaan 2006-05-04 17:20:52 EDT
tested with guest kernel 2.6.16-1.2096_FC5xenU. Same results.
Comment 4 Dave Jones 2006-10-16 14:53:07 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Jon Stanley 2008-01-19 23:40:33 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.